#include <stdio.h>
#include <malloc.h>
#include <kallisti/libk.h>
#include <kallisti/abi/ta.h>
#include <kallisti/abi/fs.h>
#include <kallisti/abi/maple.h>
#include <kallisti/abi/thread.h>
#include <kallisti/abi/spu.h>

#include "matrix.h"
#include "sincostable.h"
#include "sqrt.h"
#include "memcpyskip.h"
#include "scrolltext.h"

abi_ta_t	*ta = NULL;
abi_fs_t	*fs = NULL;
abi_maple_t	*maple = NULL;
abi_thread_t    *thread = NULL;
abi_spu_t    *spu = NULL;

unsigned int inter_tex;
unsigned int fire_tex;
unsigned int stars_tex;
unsigned int plasma_tex;
unsigned int special_tex;
unsigned int static_tex;
unsigned int font_tex;
unsigned int title_tex;
unsigned int particle_tex;
unsigned int br1_tex;
unsigned int br2_tex;
unsigned int br3_tex;
unsigned int br4_tex;
unsigned int y2k_tex;
unsigned int zoom512;
unsigned int zoom256;
unsigned int zoom128;
unsigned int zoom64;

/*
int sprintf(char *buf, const char *fmt, ...) {
        va_list args;
        int i;

        va_start(args, fmt);
        i = vsprintf(buf, fmt, args);
        va_end(args);

        return i;
}
*/
unsigned long seed __attribute__((aligned(4))) = 123;
#define RNDC 1013904223
#define RNDM 1164525

int rand()
{
    seed = seed * RNDM + RNDC;
    return seed;
}

int randnum(int limit)
{ 
    return (rand() & 0x7fffffff) % limit;
}

void* calloc(int size)
{
    void *mem = malloc(size);
    memset(mem, 0, size);
}
