#include "misc.h"

void special_init()
{
    int i;
    unsigned short * tex;

    special_tex = ta->txr_allocate(64*64*2);
    tex = ta->txr_map(special_tex);
    memset(tex, 0, 64*64*2);
    memset(tex, 255, 64*2);
    memset(&tex[63*64], 255, 64*2);
    for(i=1; i<63; i++) {
	tex[i*64] = 0xffff;
	tex[i*64+63] = 0xffff;
    }
}

void special_one_frame()
{
    int i;
    unsigned short *vidram;
    unsigned short * screen = ta->txr_map(special_tex);

    vidram = (*(volatile unsigned int *)0xa05f8050)/2 + (volatile unsigned short *)0xa5000000;
    
    for(i=0; i<(64 - 16); i++)
	memcpyskip(&screen[(i+4)*64+1], &vidram[i*8*640+68], 496*2);
}
